#version 330 core

uniform sampler2D texture0;
uniform sampler2D texture1;

in vec2 vf_texCoords;

out vec4 outColor;

void main(void)
{
	vec3 sample0 = texture(texture0, vf_texCoords).rgb;
	vec3 sample1 = texture(texture1, vf_texCoords).rrr;

	outColor = vec4(sample0 - sample1, 1.0);
}