#version 330 core

uniform float farPlane = 200.f;

out vec4 outColor;

in vec3 vf_viewPosition;

void main(void)
{
	float depth = -vf_viewPosition.z / farPlane;

	gl_FragDepth = depth;
	outColor = vec4(depth, depth, depth, 1.f);
}