#version 330 core

layout(location=1) in vec3 position;

uniform mat4 modelView;
uniform mat4 perspective;

out vec3 vf_viewPosition;

void main(void)
{
	vec4 viewPosition = modelView * vec4(position, 1.0);
	vf_viewPosition = viewPosition.xyz;
	gl_Position = perspective * viewPosition;
}