#version 330 core

layout(location=1) in vec3 position;

uniform mat4 modelView;
uniform mat4 perspective;

void main(void)
{
	vec4 viewpos = modelView * vec4(position, 1.0);
	gl_Position = perspective * viewpos;
}